<?php
/*************************** Version 20181015 *****************************/
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="selectors">
<?php
	if (!isset($_POST['ptype'])&&!isset($_SESSION['CSSwidescreen'])) { // For debugging set some defaults if 'inc-wxpqfpfp-h5loops.php' is called alone
		$duration = '24'; // Default duration is set here - '24', '48', or '72'
		$ptype = 'snow'; // Default frozen precipitation type is set here - 'icez', or 'snow'
		$fctype = 'probability'; // Default Precipitation Forecast: 'probability' or 'percentiles'
		$measure = ($fctype=='probability'?($ptype=='icez'?'.10':($duration>24?'.1':'01')):'25');
		$iframeWidth = 660; // Width of iframe to accommodate
		$imageWidth = ($iframeWidth-($iframeWidth*.045)); // Adjust image width to iframe width
		$iframeHeight = ($imageWidth*.6875)+($imageWidth*.085); // Computed IFrame Height
		$bgndColor = 'silver'; // Set HAniS Background Color Here
		$btnColor = 'darkslategray'; // Set Button Color here
		$btnTextColor = 'white'; // Set Button Text Color here
		$pauseSeconds = 2; // Pause on last image, in seconds
		$animRate = 10; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
		$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
	}
  if (isset($_POST['ptype'])) {
    $ptype = $_POST['ptype'];
  }
  if (isset($_POST['fctype'])) {
    $fctype = $_POST['fctype'];
  }
  if (isset($_POST['duration'])) {
    $duration = $_POST['duration'];
  }
  if (isset($_POST['measure'])) {
    $measure = $_POST['measure'];
  }
  if (isset($_POST['iframeWidth'])) {
    $iframeWidth = $_POST['iframeWidth'];
  }
  if (isset($_POST['imageWidth'])) {
    $imageWidth = $_POST['imageWidth'];
  }
  if (isset($_POST['iframeHeight'])) {
    $iframeHeight = $_POST['iframeHeight'];
  }
  if (isset($_POST['bgndColor'])) {
    $bgndColor = $_POST['bgndColor'];
  }
  if (isset($_POST['btnColor'])) {
    $btnColor = $_POST['btnColor'];
  }
  if (isset($_POST['btnTextColor'])) {
    $btnTextColor = $_POST['btnTextColor'];
  }
  if (isset($_POST['animRate'])) {
    $animRate = $_POST['animRate'];
  }
  if (isset($_POST['pauseSeconds'])) {
    $pauseSeconds = $_POST['pauseSeconds'];
  }
  if (isset($_POST['smoothingOn'])) {
    $smoothingOn = $_POST['smoothingOn'];
  }
	$probNumbs24 = array('01', '02', '04', '06', '08', '12', '18'); // Snow - Duration 24 hrs.
	$probNumbs48 = array('01', '02', '04', '06', '08', '12', '18', '24', '30'); // Snow - Duration more than 24 hrs.
	$probNumbs72 = array('02', '04', '08', '12', '18', '24', '30'); // Snow - Duration more than 24 hrs.
	$probNumbice24 =	array('.01', '.10', '.25', '.50'); // Freezing Rain - Duration 24 hrs.
	$probNumbice48 =	array('.10', '.25', '.50', '1.0'); // Freezing Rain - Duration 48 hrs.
	$probNumbice72 =	array('.1', '.25', '.50', '1.0');	// Freezing Rain - Duration 72 hrs.
	$percentNumbs = array('05', '10', '25', '50', '75', '90', '95');
	if ($ptype=='icez') { 
		$ptypeText = 'Freezing Rain';
	}
	else { 
		$ptypeText = 'Snow';
	}
	if ($fctype == 'probability') { $fctypeText = 'Probability'; }
	else { $fctypeText = 'Percentile'; }
	if ($fctype=='probability') {
		if ($ptype=='icez') {
			if ($duration == '24') {
				$theProbArray = $probNumbice24;
			} else if ($duration == '48') {
				$theProbArray = $probNumbice48;
			} else {
				$theProbArray = $probNumbice72;
			}
		} else if ($ptype == 'snow') {
				if ($duration == '24') {
					$theProbArray = $probNumbs24;
				} else if ($duration == '48') {
					$theProbArray = $probNumbs48;
				} else {
					$theProbArray = $probNumbs72;
				}
		}
	} else {
		$theProbArray = $percentNumbs;
	}
	/* Debug Code *
	for ($i=0; $i<count($theProbArray); $i++) {
		echo '$theProbArray['.$i.']: '.$theProbArray[$i].'<br>';
	}
	/* End Debug Code */
?>
<div style="width:<?php echo $iframeWidth?>px" class="center">

	<div align="center">
  <span style="font-size:20px; text-align:center; line-height:100%; font-weight:bolder">
		&nbsp;<br/>NWS - Weather Prediction Center</span><br/>
	<span style="font-size:18px; text-align:center; line-height:130%; font-weight:bold">
		<?php echo $fctypeText?> Quantitative Precipitation Forecast - (PQPF) Animated Loops<br/></span>
	<span style="font-size:17px; text-align:center; line-height:120%; font-weight:bold"><?php echo $fctypeText.($fctype=='percentiles'?' Probabilities':'')?> of <?php echo $ptypeText?><br/>
  </span>
    <table style="width:90%">
    	<tr>
      	<td align="center" style="width:25%">
          <span style="color:#000000; font-size:13px; font-family:arial, times new roman">
          <b>Select <?php echo ($iframeWidth<700?'':'Forecast ')?>Duration:</b> &nbsp;

          <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;; font-size:13px;" id="duration">
          
          <option value="24"<?php echo $duration=="24"?' selected="selected"':''?>>24 Hours</option>
          <option value="48"<?php echo $duration=="48"?' selected="selected"':''?>>48 Hours</option>
          <option value="72"<?php echo $duration=="72"?' selected="selected"':''?>>72 Hours</option>
          </select>
          </span>
        </td>
        <td align="center" style="width:30%">
          <span style="color:#000000; font-size:13px; font-family:arial, times new roman">
          <b>Select Forecast Type:</b> &nbsp;

          <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;; font-size:13px;" id="fctype">
          
          <option value="probability"<?php echo $fctype=="probability"?' selected="selected"':''?>>Probabilities</option>
          <option value="percentiles"<?php echo $fctype=="percentiles"?' selected="selected"':''?>>Percentiles</option>
          </select>
          </span>
         </td>
      	<td align="center" style="width:25%">
          <span style="color:#000000; font-size:13px; font-family:arial, times new roman">
          <b>Select Precip. Type:</b><br/>

          <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;; font-size:13px;" id="ptype">
          
          <option value="snow"<?php echo $ptype=="snow"?' selected="selected"':''?>>Snow</option>
          <option value="icez"<?php echo $ptype=="icez"?' selected="selected"':''?>>Freezing Rain</option>
          </select>
          </span>
        </td>
        <td align="center" style="width:10%">
          <span style="color:#000000; font-size:13px; font-family:arial, times new roman">
         	<b>Select <?php echo ($fctype=='probability'?'Depth':'Percentile')?></b> &nbsp;

          <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;; font-size:13px;" id="measure">
          <?php 
					for ($i=0; $i<count($theProbArray); $i++)
						if ($fctype == 'probability') {
								echo '<option value="'.$theProbArray[$i].'"'.($measure==$theProbArray[$i]?' selected="selected"':'').'>>='.(((intval($theProbArray[$i])>=1)&&$fctype!='icez')?intval($theProbArray[$i]):$theProbArray[$i]).' Inch'.($theProbArray[$i]>1?'es ':' ').'</option>'; 
						} else {
							echo '<option value="'.$theProbArray[$i].'"'.($measure==$theProbArray[$i]?' selected="selected"':'').'>'.$theProbArray[$i].'<sup>th</sup> Percentile</option>';
						}
					
					?>
          </select>
          </span>
         </td>
        </tr>
       </table>
      </div>
<?php 
	$jsConstants = array(
			'var imageWidth = "'.$imageWidth.'";',
			'var iframeWidth = "'.$iframeWidth.'";',
			'var iframeHeight = "'.$iframeHeight.'";',
			'var bgndColor = "'.$bgndColor.'";',
			'var btnColor = "'.$btnColor.'";',
			'var btnTextColor = "'.$btnTextColor.'";',
			'var animRate = "'.$animRate.'";',
			'var pauseSeconds = "'.$pauseSeconds.'";',
			'var smoothingOn = "'.$smoothingOn.'";'
	);?>
<script type="text/javascript">
  $jq("#ptype").change(function () {
		<?php for ($i=0; $i<count($jsConstants); $i++) {
			echo $jsConstants[$i];
		}?>
    var ptype = $jq(this).val();
		var fctype = $jq("#fctype").val();
		var duration = $jq("#duration").val();
		if (fctype=='probability') {
			if (ptype=='icez') {
				var measure = (duration>24?'.10':'.01');
			} else {
				var measure = (duration==72?'02':'01');
			}
		} else {
			var measure = '50';
		}
    showLoopjs(ptype,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn);
  });
  $jq("#fctype").change(function () {
		<?php for ($i=0; $i<count($jsConstants); $i++) {
			echo $jsConstants[$i];
		}?>
    var fctype = $jq(this).val();
		var ptype = $jq("#ptype").val();
		var duration = $jq("#duration").val();
		if (fctype=='probability') {
			if (ptype=='icez') {
				var measure = (duration>24?'.10':'.01');
			} else {
				var measure = (duration==72?'02':'01');
			}
		} else {
			var measure = '50';
		}
    showLoopjs(ptype,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn);
  });
  $jq("#duration").change(function () {
		<?php for ($i=0; $i<count($jsConstants); $i++) {
			echo $jsConstants[$i];
		}?>
    var duration = $jq(this).val();
		var ptype = $jq("#ptype").val();
		var fctype = $jq("#fctype").val();
		if (fctype=='probability') {
			if (ptype=='icez') {
				var measure = (duration>24?'.10':'.01');
			} else {
				var measure = (duration==72?'02':'01');
			}
		} else {
			var measure = '50';
		}
    showLoopjs(ptype,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn);
  });
  $jq("#measure").change(function () {
		<?php for ($i=0; $i<count($jsConstants); $i++) {
			echo $jsConstants[$i];
		}?>
    var measure = $jq(this).val();
		var duration = $jq("#duration").val();
		var ptype = $jq("#ptype").val();
		var fctype = $jq("#fctype").val();
    showLoopjs(ptype,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn);
  });
</script>
</div>

<div class="center" style="width:<?php echo $imageWidth?>px">
<h3 align="center">Frozen Precipitation Forecast: <?php echo $duration.' Hour '.$ptypeText.' '.($measure>.1?intval($measure):$measure).($fctype=='probability'?' Inch'.($measure>1?'es ':' '):'<sup>th</sup> ').$fctypeText?> Forecast</h3>
		<iframe class="center" name="wxloopshanis" width="<?php echo $iframeWidth?>" height="<?php echo $iframeHeight?>" src="./wxpqfpfp-loops-iframe.php?ptype=<?php echo $ptype?>&amp;fctype=<?php echo $fctype?>&amp;duration=<?php echo $duration?>&amp;measure=<?php echo $measure?>&amp;imagewidth=<?php echo $imageWidth?>&amp;iframeheight=<?php echo $iframeHeight?>&amp;iframewidth=<?php echo $iframeWidth?>&amp;bgndColor=<?php echo $bgndColor?>&amp;btnColor=<?php echo $btnColor?>&amp;btnTextColor=<?php echo $btnTextColor?>&amp;animRate=<?php echo $animRate?>&amp;pauseSeconds=<?php echo $pauseSeconds?>&amp;smoothingOn=<?php echo $smoothingOn?>" scrolling="no" style="border:none"></iframe>
<br/> &nbsp;
  <div align="center" style="font-size:9px;" id="zTimer2">The above images are produced by the <a href="https://www.wpc.ncep.noaa.gov/wwd/winter_wx.shtml" target="_blank" title="Off Site">NWS Weather Prediction Center</a> and updated about every 12 hours,<br/> between about 0630 to 0800 Zulu and about 1830 to 2000 <a href="https://navysite.de/what/zulu.htm" target="_blank" title="Off Site">Zulu</a>.  Current Time is <b><?php echo gmdate("Hi")?></b> Zulu<br/>Animation by <a href="https://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="New Tab">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker --  Script by <a href="https://www.gwwilkins.org" title="New Tab" target="_blank">SE Lincoln Weather</a>
<span class="ajax">
<script type="text/javascript"><!--
//<![CDATA[
  function reloadZTime2() {
   	jq("#zTimer2").load("inc-wxpqfpfp-h5loops.php" + " #zTimer2");
    setTimeout('reloadZTime2()',30000);
  }
  setTimeout('reloadZTime2()',30000);
//]]>
-->
</script>
</span>
  </div>
</div>
</div>


